Bug 246062 - System can't shut down cleanly
System can't shut down cleanly
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 05:02 EDT by gareth foster
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 13:02:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gareth foster 2007-06-28 05:02:46 EDT
Description of problem:
F7 Gnome hangs on reboot/shutdownn

Version-Release number of selected component (if applicable):
All latest.

How reproducible:
Every time.

Steps to Reproduce:
1. Gnome -> Shutdown
2. System hangs
3.
  
Actual results:
Gnome and X totally lock up, ctrl+alt+backspace can't get me out of it, I have
to hold the power button down every time.

Expected results:
The system shuts down.

Additional info:
Alienware laptop with NVIDIA drivers installed.
Comment 1 Matěj Cepl 2007-06-28 05:10:22 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

* First of all, please, notice that we cannot support binary-only drivers (like
the ones you apparently have from nVidia), so unless you are able to reproduce
this bug with open source drivers (nv in this case), I will have to close this
bug as CANTFIX. I am sorry for this, but there is no way around it.

* Second, please attach your X server config file (/etc/X11/xorg.conf) and X
server log file (/var/log/Xorg.*.log) to the bug report as individual
uncompressed file attachments using the bugzilla file attachment link below.

* Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2007-08-01 14:02:20 EDT
Reporter, could you please reply to the previous questions? If you won't reply
in two weeks, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 gareth foster 2007-08-01 15:26:47 EDT
Well, on point one, it still crashes with the nv driver as opposed to the nvidia
one. The Gnome panels (and bigboard) can all be seen to have hung, they are
still on screen, but are not being redrawn. The wallpaper is still visible, and
nothing appears to be hitting the HD.
Comment 4 gareth foster 2007-08-01 15:29:09 EDT
I tell a lie, the sodding livna nvidia script thing set itself as active again.
Going for food now, will try to get back to this.
Comment 5 Matěj Cepl 2007-08-02 04:28:04 EDT
Until you will be able to compose your answer, let's keep this in NEEDINFO, please.
Comment 6 Matěj Cepl 2007-09-05 11:04:34 EDT
Reporter, could you please reply to the question in comment 1? If you won't
reply in one week, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 7 gareth foster 2007-09-10 17:52:22 EDT
I tried this without the nvidia driver and the system shut down cleanly. I
suppose it could be a Desktop Effects thing, seeing as I had to disable that as
well, its either that or NVIDIA anyway.
Comment 8 Matěj Cepl 2007-09-11 13:02:50 EDT
Thanks for letting us know. Unfortunately, I have to send you to the nVidia
support for fixing this problem.

Note You need to log in before you can comment on or make changes to this bug.